module.exports = {
  env: {
    es6: true,
    browser: true,
    es2021: true,
  },
  extends: ["plugin:jest/recommended", "airbnb", "prettier"],
  overrides: [],
  parserOptions: {
    ecmaVersion: "latest",
    sourceType: "module",
  },
  plugins: ["react", "jest"],
  rules: {
    semi: ["error", "always"],
    quotes: ["error", "double"],
    "comma-dangle": "off",
    "react/prop-types": 0,
    "import/prefer-default-export": 0,
    "default-param-last": 0,
    "react/react-in-jsx-scope": 0,
    "react/jsx-filename-extension": ["error", { extensions: [".js"] }],
    "react/jsx-uses-react": 0,
    "import/no-extraneous-dependencies": ["error", { devDependencies: true }],
    "import/no-unresolved": 0,
    "react/jsx-props-no-spreading": "off",
    "react/function-component-definition": [
      2,
      {
        namedComponents: "arrow-function",
        unnamedComponents: "arrow-function",
      },
    ],
  },
};
