// import { Dropdown, Menu, Space } from "antd";
import { useEffect } from "react";
// import { useDispatch } from "react-redux";
// import { useNavigate } from "react-router-dom";
// import { userLogout } from "redux/reducers";
import {
  //   DownOutlined,
  MenuFoldOutlined,
  MenuUnfoldOutlined,
  //   SmileOutlined,
  //   LogoutOutlined,
} from "@ant-design/icons";
// import { ROUTES, UI_TEXT } from "constants";
// import { useSessionStorage } from "hooks";
import { Button } from "antd";

const HeaderTop = ({ isCollapsed, setCollapsed }) => {
  //   const { clear } = useSessionStorage();
  //   const navigate = useNavigate();
  //   const dispatch = useDispatch();
  //   const onLogout = () => {
  // dispatch(userLogout());
  // clear();
  // navigate(ROUTES.ADMIN);
  //   };

  //   const items = [
  //     {
  //       key: "1",
  //       label: (
  //         <a target="_blank" rel="noopener noreferrer" href="/">
  //           {/* {UI_TEXT.CTA.PROFILE} */}
  //           Profile
  //         </a>
  //       ),
  //       icon: <SmileOutlined />,
  //       disabled: true,
  //     },
  //     {
  //       key: "2",
  //       danger: true,
  //       label: (
  //         <span tabIndex={-1} role="link" onClick={onLogout}>
  //           {/* {UI_TEXT.CTA.LOGOUT} */}
  //           Logout
  //         </span>
  //       ),
  //       icon: <LogoutOutlined />,
  //     },
  //   ];

  const toggleCollapsed = () => {
    setCollapsed(!isCollapsed);
    localStorage.setItem("isCollapse", isCollapsed);
  };
  const checkCollapsed = localStorage.getItem("isCollapse");

  useEffect(() => {
    if (checkCollapsed === "true") {
      setCollapsed(false);
    } else if (checkCollapsed === "false") {
      setCollapsed(true);
    }
  }, []);

  return (
    <Button
      type="text"
      icon={isCollapsed ? <MenuUnfoldOutlined /> : <MenuFoldOutlined />}
      onClick={toggleCollapsed}
      style={{
        fontSize: "16px",
        width: 64,
        height: 64,
      }}
    />
  );
};

export default HeaderTop;
