/* eslint-disable no-unused-vars */
import { Navigate, useLocation } from "react-router-dom";

import { useAuth } from "hooks";
import { ROUTES } from "constants";
// import Forbidden from "pages/Forbidden";

const PrivateRoute = ({ children, roles }) => {
  const location = useLocation();
  const { getToken, isAccessible } = useAuth();
  const token = getToken();
  // const routePermission = isAccessible(roles);

  if (!token) {
    return <Navigate to="/" state={{ from: location }} />;
  }

  // if (token && !routePermission) {
  //   return <Forbidden />;
  // }

  return children;
};

export default PrivateRoute;
