import { Navigate } from "react-router-dom";
import { useAuth } from "hooks";

const PublicRoute = ({ children }) => {
  const { getToken } = useAuth();
  const token = getToken();
  return !token ? children : <Navigate to="/dashboard" />;
};

export default PublicRoute;
