const initialUserState = {
  isLoading: false,
  data: [],
  errorMessage: "",
  successMessage: "",
};
const userActions = {
  BEGIN: "BEGIN",
  SUCCESS: "SUCCESS",
  FAILURE: "FAILURE",
};

const UserReducer = (state = initialUserState, { type, payload }) => {
  switch (type) {
    case userActions.BEGIN:
      return { ...state, isLoading: true };

    case userActions.SUCCESS:
      return { ...state, data: payload.user };

    default:
      return state;
  }
};
export { userActions };
export default UserReducer;
